# Functor Mcs_m.MaximalCardinalitySearch.I

    module I: functor (Gr : Sig.I) -> sig .. end

Parameters:

`Gr` | : | `Sig.I`

    type edgelist = (Gr.V.t * Gr.V.t) list

    val mcsm : Gr.t -> (int * Gr.V.t) list * edgelist

`mcsm g` return a tuple `(o, e)` where o is a perfect elimination order of `g'` where `g'` is the triangulation `e` applied to `g`.

    val triangulate : Gr.t -> unit

`triangulate g` triangulates `g` using the MCS-M algorithm